SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by: true
links:
- role: validation
  uid: ../req/ident
test-actions:
- action: |
    ${../../req/ident-local:/test-run}(
      id_local_object,
      ClassicTimerIdentAction
    );
  checks: []
  description: |
    Run the generic object identification tests for Classic API timer class
    objects defined by ${../../req/ident-local}.
  links: []
test-brief: Test the ${../if/ident:/name} directive.
test-description: null
test-epilogue: |
  sc = rtems_timer_delete( id_local_object );
  T_rsc_success( sc );
test-fixture: null
test-header: null
test-includes: []
test-local-includes:
- tr-object-ident-local.h
test-prologue: |
  rtems_status_code sc;
  rtems_id id_local_object;

  sc = rtems_timer_create(
    ClassicObjectLocalIdentName,
    &id_local_object
  );
  T_assert_rsc_success( sc );
test-support: |
  static rtems_status_code ClassicTimerIdentAction(
    rtems_name name,
    rtems_id  *id
  )
  {
    return rtems_timer_ident( name, id );
  }
test-target: testsuites/validation/tc-timer-ident.c
type: test-case
